module_version: "1.0"

var:
  - name: netflow_host
    default: localhost
  - name: netflow_port
    default: 2055
  - name: max_message_size
    default: 10KiB
  - name: expiration_timeout
    default: 30m
  - name: queue_size
    default: 8192
  - name: read_buffer
  - name: timeout
  - name: custom_definitions
  - name: detect_sequence_reset
    default: true
  - name: tags
    default: [forwarded]
  - name: internal_networks
ingest_pipeline: ingest/pipeline.yml
input: config/netflow.yml

requires.processors:
- name: geoip
  plugin: ingest-geoip
